Subject: tty switching breaks gnome

From: Alexandros Theodotou <[email-masked]>
Date: Tue, 31 Dec 2019 13:18:12 +0000

Hi,

While running a GNOME environment, switching TTY with Ctrl+alt+F2 and
then switching back to Ctrl+alt+F1 does not work properly (GNOME is no
longer visible). In all other distros I used it you could switch
between F1 and F2 without problems (F1 would still have GNOME running
and visible).

Sometimes an app freezes GNOME and you need to go to another TTY to
kill it, but you can't return back to GNOME so I usually have to reboot
in order to fix this (sudo herd restart xorg-server doesn't really fix
this either as I can't use evolution or anything that requires pinentry
anymore, and I can't reopen some apps because they're already running,
etc.).

Thanks,
Alex